# Retrieves all licensed users data. GET https://app.unleash-instance.example.com/api/admin/licensed-users **Enterprise feature** Fetches an array of licensed users with date and count. Reference: https://docs.getunleash.io/api/get-all-licensed-users ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Retrieves all licensed users data. version: endpoint_unstable.getAllLicensedUsers paths: /api/admin/licensed-users: get: operationId: get-all-licensed-users summary: Retrieves all licensed users data. description: |- **Enterprise feature** Fetches an array of licensed users with date and count. tags: - - subpackage_unstable parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: licensedUsersSchema content: application/json: schema: $ref: '#/components/schemas/licensedUsersSchema' components: schemas: licensedUserSchema: type: object properties: date: type: string format: date-time description: The date associated with the licensed users count. count: type: integer description: The count of licensed users on the given date. required: - date - count LicensedUsersSchemaLicensedUsers: type: object properties: history: type: array items: $ref: '#/components/schemas/licensedUserSchema' description: A monthly history of licensed user counts. current: type: integer description: The current number of licenses in use. required: - history - current licensedUsersSchema: type: object properties: seatCount: type: integer description: >- The total number of licensed seats currently available for this Unleash instance. licensedUsers: $ref: '#/components/schemas/LicensedUsersSchemaLicensedUsers' description: An object containing historical and current licensed user data. required: - seatCount - licensedUsers ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/licensed-users" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/licensed-users'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/licensed-users" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/licensed-users") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/licensed-users") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/licensed-users', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/licensed-users"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/licensed-users")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```